fop2-freepbx is the older version also I am unable to get it to work

I installed the fop2-freepbx from yum, reboot but I am unable to connect with any extension it just sits there “connecting”. Also the rpm is the older version of both the fop2 server and freepbx add in.